dskscan(1)

NAME
dskscan - Scan a floppy disc for sector headers

SYNOPSIS
dskscan [-type TYPE] [-side SIDE] [-comp COMP] [-dstep] [-retry COUNT] [-format FMT] [-first CYLINDER] [-last CYLINDER] [-xml] DISKIMAGE

DESCRIPTION
Dskscan scans a floppy disc (or a disc image) and prints any sector headers that it finds. It does not attempt to read the sectors.

OPTIONS

-type TYPE
    Determines which driver is to be used to read from the disc.

    auto
        Select according to the disc image file. This is the default.

    dsk Use the DSK (CPCEmu format) image driver.

    edsk
        Use the extended version of the DSK format.

    floppy
        Use the floppy driver.

    myz80
        Use the hard disk (MYZ80 format) image driver. (This format cannot be autodetected.)

    cfi Use the CFI (DOS fdcopy format) image driver. (This format cannot be autodetected.)

    apridisk
        Use the ApriDisk image driver (from the utility of the same name). (This format cannot be autodetected.)

    raw Use the raw driver.

-comp COMP
    Select the compression method used on the source disc image file (has no effect when reading a floppy disc).

    auto
        Detect from the first few bytes of the file. This is the default.

    sq  Huffman coded (SQ / USQ).

    gz  Gzipped (gzip / gunzip).

    bz2 Burrows-Wheeler compressed (bzip2 / bunzip2).

-side SIDE
    Determines which side (0 or 1) of the source disc is to be scanned. If this option is not present both sides will be scanned.

-dstep
    Double-step the source drive (used to read 360k discs in 1.2Mb drives). Only supported by the Linux floppy driver.

-retry COUNT
    Set the number of times to attempt a read/write/format in case of error.

-format FMT
    Do not autodetect the disc format; use the named format. The format need only be an approximation to the actual format used by the disc.

-first CYL
    Start scanning at the specified cylinder.

-last CYL
    Scan up to and including the specified cylinder.

-xml
    Output results as XML rather than as text; if you are launching dskscan from another program which then parses what dskscan prints, this may be easier for it to cope with.

AUTHOR
John Elliott <seasip.webmaster@gmail.com>.